:root {
    --packman-jaw-speed: 3s;
}

* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    scroll-behavior: smooth;
}

.burger-btn {
    overflow: hidden;
    width: 50px;
    height: 50px;
    padding: 10px;
    background-color: darkmagenta;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 50px;
}

.burger-line {
    transition: opacity 0.5s, transform 0.5s;
    border-top: 3px solid white;
}

.burger-btn:hover .burger-middle {
    opacity: 0;
    transform: translateX(-100px);
}

.burger-btn:hover .burger-top {
    transform: translate(0, 23px) rotate(45deg);
}

.burger-btn:hover .burger-bottom {
    transform: translate(0, -23px) rotate(-45deg);
}

.go-top-button {
    position: fixed;
    bottom: 15px;
    right: 15px;
    padding: 35px;

    border-radius: 50%;

    border: none;
    background-color: #16a085;
    transition: margin-bottom 0.4s linear;

    /*transition-property: background-color, font-size;*/
    /*transition-duration: 1s, 3s;*/
    /*transition-delay: 2s, 0s;*/
    /*transition-timing-function: linear, ease-out;*/
}

.go-top-button:hover {
    margin-bottom: 15px;
}

.packman {
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.packman-top,
.packman-bottom {
    width: 150px;
    height: 75px;
    background-color: gold;
}

.packman-top {
    position: relative;
    transform-origin: bottom center;
    border-radius: 75px 75px 0 0;
    transform: rotate(-45deg);

    animation: packaman-top-move var(--packman-jaw-speed) infinite alternate linear;
    /*animation-direction: alternate;*/
    /*animation-timing-function: linear;*/
}

.packman-top:before {
    content: '';
    display: inline-block;
    padding: 5px;
    border-radius: 50%;
    background-color: black;
    position: absolute;
    top: 35px;
    right: 25px;
}

.packman-bottom {
    animation: packaman-bottom-move var(--packman-jaw-speed) infinite alternate linear;
    transform-origin: top center;
    border-radius: 0 0 75px 75px;
    transform: rotate(45deg);
}

@keyframes packaman-top-move {
    0% {
        transform: rotate(-45deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes packaman-bottom-move {
    from {
        transform: rotate(45deg);
    }
    to {
        transform: rotate(0deg);
    }
}

.loader {
    display: inline-block;
    padding: 20px;
    border-radius: 50%;
    border: 3px solid teal;
    border-right-color: transparent;
    animation: rotate360 2s linear infinite;
}

.loader2 {
    animation: rotate360 1s linear reverse infinite;
}

.loader3 {
    animation: rotate360 0.5s linear infinite;
}

@keyframes rotate360 {
    from {transform: rotate(0deg)}
    to {transform: rotate(360deg)}
}
/*//                               Homework                             //*/
.packman {
    position: relative;
    animation: moveAround 2s linear infinite;
}

@keyframes moveLeftRight {
    0% {transform: translateX(0)}
    50% {transform: translateX(300px)}
    100% {transform: translateX(0)}
}

@keyframes moveAround {
    0% {
        top: 0;
        left: 0;
        transform: rotate(0deg);
    }
    19% {
        top: 0;
        left: 290px;
        transform: rotate(0deg);
    }
    20% {
        top: 0;
        left: 300px;
        transform: rotate(90deg);
    }
    39% {
        top: 290px;
        left: 300px;
        transform: rotate(90deg);
    }
    40% {
        top: 300px;
        left: 300px;
        transform: rotate(0deg);
    }
    59% {
        top: 300px;
        left: 300px;
    }
    60% {
        top: 300px;
        left: 300px;
        transform: scaleX(-1);
    }
    61% {
        top: 300px;
        left: 290px;
        transform: scaleX(-1);
    }
    69% {
        top: 300px;
        left: 10px;
        transform: scaleX(-1);
    }
    70% {
        top: 300px;
        left: 0;
        transform: rotate(0deg);
    }
    71% {
        top: 300px;
        left: 0;
        transform: rotate(-90deg);
    }
    80% {
        top: 300px;
        left: 0;
        transform: rotate(-90deg);
    }
    99% {
        top: 10px;
        left: 0;
        transform: rotate(-90deg);
    }
    100% {
        top: 0;
        left: 0;
    }

}